> For the complete documentation index, see [llms.txt](https://docs.getshio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getshio.com/archived-searcher-guides/submit-bid/simulate-bid.md).

# Simulate Bid

{% hint style="danger" %}
Shio permanently shut down on 12 May 2026. This page is kept as a historical reference only; the Shio feed, bidding APIs, explorer, and RPC endpoints are no longer active.
{% endhint %}

A Bid was not accepted if it failed to pass dry-run (against current world state + opportunity transaction).

There is no consequence from bid being rejected, so it makes sense to submit as many bids as it takes if you are unsure which ones will succeed, without the need of simulating each bid. If this stands, a Simulate Bid API will be not necessary.

However, when writing and testing a program, it was useful to have a way to simulate a bid rather than actually submitting it, so that it would not be included on-chain (therefore, no gas cost).

Historically, to simulate a bid, searchers sent a JSON-RPC request to `https://rpc.getshio.com` in the following format. This endpoint is no longer active.

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "shio_simulateBid",
  "params": [
    "E72mG9GCroPgaw9uoeGiKLzAfd9CZq82iGDjypKdzYG7",
    "txDataBase64Encoded"
  ]
}
```

* The first parameter indicates opportunity transaction's digest. An ongoing auction for that opportunity transaction is required, so that we know what state to simulate against.
* The second parameter is a Base64-encoded bcs serialized bytes of TransactionData. This is the same method of encoding as if you are using `sui_dryRunTransactionBlock`.

On success, the bid's side effects would be returned (gas usage, events, created objects and mutated objects), in the same format as in `auctionStarted` event ([sideEffects field](/archived-searcher-guides/connect-to-shio-feed/auctionstarted-event.md)).

On error, there will be detailed error message indicating what went wrong.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getshio.com/archived-searcher-guides/submit-bid/simulate-bid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
